.TH "mca_ptl_base_frag_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_base_frag_t \- Base type for fragment descriptors.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl_base_fragment.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_list_item_t\fP \fBsuper\fP"
.br
.RI "\fIallow the fragment to be placed on a list \fP"
.ti -1c
.RI "\fBmca_ptl_base_header_t\fP \fBfrag_header\fP"
.br
.RI "\fIheader used for fragment matching \fP"
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP * \fBfrag_owner\fP"
.br
.RI "\fIPTL that allocated this fragment. \fP"
.ti -1c
.RI "\fBmca_ptl_base_peer_t\fP * \fBfrag_peer\fP"
.br
.RI "\fIPTL specific addressing info. \fP"
.ti -1c
.RI "void * \fBfrag_addr\fP"
.br
.RI "\fIpointer into request buffer at fragment offset \fP"
.ti -1c
.RI "size_t \fBfrag_size\fP"
.br
.RI "\fInumber of bytes available in request buffer \fP"
.ti -1c
.RI "\fBmca_ptl_base_frag_type_t\fP \fBfrag_type\fP"
.br
.RI "\fIfragment derived type \fP"
.ti -1c
.RI "ompi_convertor_t \fBfrag_convertor\fP"
.br
.RI "\fIdatatype convertor for fragment packing/unpacking \fP"
.in -1c
.SH "Detailed Description"
.PP 
Base type for fragment descriptors. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
